[zeromq-dev] Compatibility 3.2.2 -> 3.2.0-rc1

Pieter Hintjens ph at imatix.com
Fri Dec 7 13:15:31 CET 2012


Hi Sebastian,

In version 3.2.2 we finally got the protocol working with versioning
and backwards detection. In order to support 2.2 stable we more or
less had to break interoperability with the release candidates.

It's a real mess because the protocol didn't, before this, have any
version numbering.

If it's really impossible for you to upgrade in one go, we can look at
making this work. It's the same problem (I think) as with 3.1, and we
do plan to fix that soon.

-Pieter

On Thu, Dec 6, 2012 at 6:15 PM, Sebastian Haglund <sebastian at haglund.se> wrote:
> Hi,
>
> I've been working on a project, using zmq 3.2.0-rc1, since this summer and now when 3.2.2 was released I thought it's a good time to upgrade.
> But I seem to have some issues with compatibility between the versions. I have a couple of different components running on different hosts/platforms.
>
> 3.2.0 -> 3.2.2 seems to work fine (PUSH-PULL) but on the other end (3.2.2 XPUB -> 3.2.0 XSUB) nothing is received. On the pub-side I can see the subscriptions coming in.
> I've also noticed the same on REQ-REP, request comes in but the reply is not received on the 3.2.0 end. Works fine if both are on the same version.
> So it seems 3.2.0 can't receive data from 3.2.2.
>
> Are there any known issues between the versions?
>
> Regards,
> Sebastian
> _______________________________________________
> zeromq-dev mailing list
> zeromq-dev at lists.zeromq.org
> http://lists.zeromq.org/mailman/listinfo/zeromq-dev



More information about the zeromq-dev mailing list